DOMCharacterData::insertData
DOMCharacterData::substringData
DOMCharacterData
PHP Manual

# DOMCharacterData::replaceData

Replace a substring within the DOMCharacterData node

### Description

void DOMCharacterData::replaceData ( int `$offset` , int `$count` , string `$data` )

Replace `count` characters starting from position `offset` with `data`.

### Parameters

`offset`

  The offset from which to start replacing.

`count`

  The number of characters to replace. If the sum of `offset` and `count` exceeds the length, then all characters to the end of the data are replaced.

`data`

  The string with which the range must be replaced.

### Return Values

No value is returned.

### Errors/Exceptions

`DOM_INDEX_SIZE_ERR`

  Raised if `offset` is negative or greater than the number of 16-bit units in data, or if `count` is negative.

### See Also

- DOMCharacterData::appendData
- DOMCharacterData::deleteData
- DOMCharacterData::insertData
- DOMCharacterData::substringData